librep r2972 - in trunk: . m4 man



Author: chrisb
Date: Thu Jan  1 21:13:31 2009
New Revision: 2972
URL: http://svn.gnome.org/viewvc/librep?rev=2972&view=rev

Log:
don't ship install-sh
add m4 subdir to shut up libtool 1.x
begin configure.in rework
reworked autogen.sh


Added:
   trunk/m4/
Removed:
   trunk/install-sh
Modified:
   trunk/ChangeLog
   trunk/autogen.sh
   trunk/configure.in
   trunk/man/news.texi

Modified: trunk/autogen.sh
==============================================================================
--- trunk/autogen.sh	(original)
+++ trunk/autogen.sh	Thu Jan  1 21:13:31 2009
@@ -1,18 +1,32 @@
 #!/bin/sh
 
+if [ -f Makefile ]; then
+	make distclean
+fi
+
+if [ -f aclocal.m4 ]; then
+	rm -fv aclocal.m4
+fi
+
+if [ -d m4 ]; then
+	rm -fv m4/*
+fi
+
 if [ -f configure.in ]; then
-  if grep "A[MC]_CONFIG_HEADER" configure.in >/dev/null; then
-    if [ ! -f config.h.in ]; then
+  if grep "AC_CONFIG_HEADER" configure.in >/dev/null; then
       echo "Running autoheader"
       autoheader || exit 1
-    fi
   fi
-  if grep "A[MC]_PROG_LIBTOOL" configure.in >/dev/null; then
+  if grep "AM_PROG_LIBTOOL" configure.in >/dev/null; then
     echo "Running libtoolize"
-    libtoolize --force --copy --install || exit 1
+    lver=$(libtool --version | grep 1.5)
+    if [[ ${lver} != "" ]]; then
+	    libtoolize --force --copy || exit 1
+    else    libtoolize --force --copy --install || exit 1
+    fi
   fi
   echo "Running aclocal $ACLOCAL_FLAGS"
-  aclocal $ACLOCAL_FLAGS || exit 1
+  aclocal -I m4 $ACLOCAL_FLAGS || exit 1
 
   echo "Running autoconf $AUTOCONF_FLAGS"
   autoconf $AUTOCONF_FLAGS || exit 1

Modified: trunk/configure.in
==============================================================================
--- trunk/configure.in	(original)
+++ trunk/configure.in	Thu Jan  1 21:13:31 2009
@@ -19,9 +19,12 @@
 dnl  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
 AC_REVISION($Revision: 1.146 $)
-
 AC_INIT(src/rep_subrs.h)
+
 AC_CONFIG_HEADER(config.h src/rep_config.h)
+AC_CONFIG_MACRO_DIR([m4])
+
+AM_PROG_LIBTOOL
 
 dnl Release versioning info
 version="0.17.3"

Modified: trunk/man/news.texi
==============================================================================
Binary files. No diff available.



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]